---
title: function-available
slug: Web/XPath/Functions/function-available
tags:
  - XSLT
  - XSLT_Reference
---
<p>{{ XsltRef() }}</p>

<p><br>
 The <code>function-available</code> function determines if a given function is available and returns boolean true or false.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="eval">function-available(<em>name</em> )
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt><code><em>name</em></code></dt>
 <dd>The name of the function to test.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>Boolean <code>true</code> or <code>false</code>.</p>

<h3 id="Defined">Defined</h3>

<p><a class="external" href="http://www.w3.org/TR/xslt#function-function-available">XPath 1.0 15</a></p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
